# version numbers
%define pd_version 0.36.0
%define cvs_date   20030211.120137

%define pd_release 3.cvs

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install 2>1 >/dev/null ; then echo "yes" ; fi)

# do not include yet, some of the docs don't load correctly [1/22/2003]
%define add_pddp 0

Summary:      Real-time patchable audio and multimedia processor.
Name:         pd
Version:      %{pd_version}
Release:      %{pd_release}
Copyright:    free for any use
Group:        Applications/Multimedia
Source:       pd-%{pd_version}.tar.gz
Source1:      pd-get-cvs
# the pure data documentation project at:
# http://www.davesabine.com/media/puredata.asp?action=pddp
Source2:      pddp_referencefiles.zip
BuildRoot:    /var/tmp/%{name}-buildroot
Obsoletes:    pd-alsa0.9 pd-alsa0.5
Requires:     jack-audio-connection-kit >= 0.66.3
Distribution: Planet CCRMA

%description
Pd gives you a canvas for patching together modules that analyze, process,
and synthesize sounds, together with a rich palette of real-time control
and I/O possibilities.  Similar to Max (Cycling74) and JMAX (IRCAM).  A
related software package named Gem extends Pd's capabilities to include
graphical rendering.
%if "%{cvs_date}" != "0"
This package corresponds to pd CVS of %{cvs_date}. Handle with care. 
%endif

%prep
%setup -n pd-%{version}

%build
# remove all cvs directories
find ./ -type d -name CVS | xargs rm -r
# missing in cvs
mkdir bin
mkdir obj
cd src
%configure --enable-alsa --enable-jack
make depend
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd src
make DESTDIR=$RPM_BUILD_ROOT install

# add include files (they are apparently needed to build externals)
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pd/include
install *.h $RPM_BUILD_ROOT%{_libdir}/pd/include

# add improved documentation files to the reference section
%if "%{add_pddp}" != "0"
  unzip %{SOURCE2}
  mv -f pddp_referencefiles/* $RPM_BUILD_ROOT%{_libdir}/pd/doc/5.reference/
%endif

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Pd
Comment=Real-time patchable audio and multimedia processor
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc *.txt
%{_bindir}/pd
%{_bindir}/pdsend
%{_bindir}/pdreceive
%{_libdir}/pd
%{_includedir}/m_pd.h
%{_mandir}/man1/pd.1*
%{_mandir}/man1/pdsend.1*
%{_mandir}/man1/pdreceive.1*
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.36.0-3.cvs
- rebuild for jack 0.66.3, added explicit requires for it
* Wed Jan 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.36.0-1
- switched to using devel_0_36 branch on df cvs, includes jack and other nice
  things
- added files from the pure data documentation project, some objects do not
  load cleanly so don't include for now
* Tue Nov 12 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.35.0-3
- menu in 7.2/7.3 was in wrong group
* Sun Nov 10 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.35.0-2
- change jack alsa_pcm port names to match jack >= 0.40
- added explicit dependency for jack because of the port name change
- added redhat menus
* Mon Oct 14 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.35.0-1.1
- fix extras/fiddle to compile under gcc 3.2 and redhat 8.0
* Sun Aug 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.35.0-1
- update to 0.35
- make the alsa api the default if building for alsa, add a command line
  switch to be able to force the oss driver if starting the alsa enabled pd
- added Guenter Gieger's jack patch at:
  ftp://xdv.org/pub/gige/pd/
* Sun Jun 23 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.34.4-2
- alsa 0.5 no longer supported, change names of packages
* Wed Nov 28 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.34.4-1
- updated to 0.34-4
- added sound api to rpm name
- adjusted file list
- added "provides pd" so that other packages can depend on the pd name without
  the sound api (ie: they will match any of them)
* Wed Oct 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.34.2-1
- updated to 0.34-2
- used pd's install make target
* Tue Apr 14 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added %{prefix}, added %{_mandir} so that the man pages go into the 
  correct man directory for redhat
- added %{alsa} for automatic detection of the installed alsa library
- decoupled pd release (ie: PATCH2) from the rpm release
